summary: Getting start with docker
id: getting start with docker
categories: Docker
tags: medium
status: Published 
authors: walker2048
Feedback Link: https://zarin.io

# How to Write a Codelab
<!-- ------------------------ -->
## Overview 
Duration: 1

### Build docker images 
```
docker build -t iot_env --network host -f Docker/iot_env.dockerfile Docker/
```
- network 网络类型 
- how to hyperlink items 
- how to include images 
- other stuff

### Run docker container 
```
docker run -it --name iot_build \
  --net=host \
  --privileged \
  -v /iot_env/tools:/opt/toolchains \
  -v /iot_env/venv:/opt/venv \
  -v /mnt/MyNAS/iot:/mnt \
  walker2048/iot_env
```
Duration: 3

To include code snippets you can do a few things. 
- Inline highlighting can be done using the tiny tick mark on your keyboard: "`"
- Embedded code



```
dpkg --add-architecture i386 
apt-get update
apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386
```

### Set venv

```javascript
python -m venv /opt/venv/aos
```

### Java

```java
for (statement 1; statement 2; statement 3) {
  // code block to be executed
}
```

<!-- ------------------------ -->
## Hyperlinking and Embedded Images
Duration: 1
### Hyperlinking
[Youtube - Halsey Playlists](https://www.youtube.com/user/iamhalsey/playlists)

### Images
![alt-text-here](assets/puppy.jpg)

<!-- ------------------------ -->
## Other Stuff
Duration: 1

Checkout the official documentation here: [Codelab Formatting Guide](https://github.com/googlecodelabs/tools/blob/master/FORMAT-GUIDE.md)